Subject: bug#26241: 25.1; Re: emacsclient in 25 branch: error opening any file

From: [email-masked]
Date: Sat, 15 Apr 2017 20:25:32 -0700

Hey it's great if you found the bug ... but if it's as random as a
problem with isearch, then I'd definitely want to reiterate my
suggestion that emacsclient should have a "--debug" option so that
these can be easily investigated in the future.

I'll update to 25.2 when it appears in Arch.

Thanks,

Frederick

On Sat, Apr 15, 2017 at 11:08:59PM -0400, [email-masked] wrote:
> forcemerge 26310 26241
> quit
> 
> [email-masked] writes:
> 
> > Hi,
> >
> > I'm writing to know about the status of this bug:
> >
> > https://lists.gnu.org/archive/html/emacs-devel/2016-06/msg00036.html
> >
> > which is affecting me as well. I get the same "Waiting for Emacs...
> > *ERROR*: Wrong type argument: stringp, nil" after emacs has been running
> > for a while.
> >
> > I don't have time to fix it, but it would be nice to be notified when
> > I can safely install the latest version of Emacs (and if there is some
> > workaround). And I hope that whatever information is provided in this
> > report may be of help...
> 
> I think this is probably the same as #26310, and is fixed in 25.2 (rc2).
> The patch is at https://debbugs.gnu.org/cgi/bugreport.cgi?bug=21091#30.
>